public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Virgil Dupras" <vdupras@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/lxc/
Date: Thu, 14 Jun 2018 00:30:14 +0000 (UTC)	[thread overview]
Message-ID: <1528936066.d75ecc093bbe7fddde93c19184d314dfab9af0d1.vdupras@gentoo> (raw)

commit:     d75ecc093bbe7fddde93c19184d314dfab9af0d1
Author:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 14 00:27:46 2018 +0000
Commit:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Thu Jun 14 00:27:46 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d75ecc09

app-emulation/lxc: bump to version 3.0.1

Also, replace previous maintainers by myself.

Closes: https://bugs.gentoo.org/654210
Package-Manager: Portage-2.3.40, Repoman-2.3.9

 app-emulation/lxc/Manifest         |   1 +
 app-emulation/lxc/lxc-3.0.1.ebuild | 170 +++++++++++++++++++++++++++++++++++++
 app-emulation/lxc/metadata.xml     |  11 +--
 3 files changed, 172 insertions(+), 10 deletions(-)

diff --git a/app-emulation/lxc/Manifest b/app-emulation/lxc/Manifest
index b823f03c02c..0d31b16fc38 100644
--- a/app-emulation/lxc/Manifest
+++ b/app-emulation/lxc/Manifest
@@ -1,2 +1,3 @@
 DIST lxc-2.1.1.tar.gz 1378640 BLAKE2B 5fca516540a886729434579ff99acf3baa06977fa0e0b6f24dbf15094626335fc073597d308276e3dd20e27ceabf1477cc8e99d1fd24cf50b9aed2720b887b69 SHA512 2989d57acddfe091adcf8031721c3c9a2f8eff5476bd6155366b76ea7511e0f6120e669276e056e3963863e0f0acf3b095d44c36fa6652e67c197671f28cbdd4
 DIST lxc-3.0.0.tar.gz 1233316 BLAKE2B ba726a07f48b1d32366012c8d885a853e33f88d8c45c910b061d9deecf472d940f7d45a1e742c8194517ba3231e1875a49bbf303b2c3fd2c9ece33b941670bb7 SHA512 21372e6fe4d38e2cf54707fab4133137793deff1dd500ed7ed02c03bbaa809de56c7490971594cddbdcb2b96f0c03ab5dfb43a8582a584598a12c5943b7ca490
+DIST lxc-3.0.1.tar.gz 1239920 BLAKE2B 7be668c11d7211540fe7e2fb6318d38eac0d8d493914f4705d097fca4c004a8d2191609d02bd9e1d9204c3c0b9ea937084d3f9050fc841f6d777768067af3d19 SHA512 f51b0844f61f64d4efc530454eae1fa499f7f1b908bd3b40d7031e7f311a402893a7504bddbc53f2ef9da2b3154d1b047fc4d876b99f0d487d7c79de64eea505

diff --git a/app-emulation/lxc/lxc-3.0.1.ebuild b/app-emulation/lxc/lxc-3.0.1.ebuild
new file mode 100644
index 00000000000..4122c2e8599
--- /dev/null
+++ b/app-emulation/lxc/lxc-3.0.1.ebuild
@@ -0,0 +1,170 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools bash-completion-r1 linux-info flag-o-matic systemd readme.gentoo-r1 pam
+
+DESCRIPTION="LinuX Containers userspace utilities"
+HOMEPAGE="https://linuxcontainers.org/"
+SRC_URI="https://linuxcontainers.org/downloads/lxc/${P}.tar.gz"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+LICENSE="LGPL-3"
+SLOT="0"
+IUSE="examples pam seccomp selinux"
+
+RDEPEND="
+	net-libs/gnutls
+	sys-libs/libcap
+	pam? ( virtual/pam )
+	seccomp? ( sys-libs/libseccomp )
+	selinux? ( sys-libs/libselinux )"
+
+DEPEND="${RDEPEND}
+	>=app-text/docbook-sgml-utils-0.6.14-r2
+	>=sys-kernel/linux-headers-3.2"
+
+RDEPEND="${RDEPEND}
+	sys-apps/util-linux
+	app-misc/pax-utils
+	virtual/awk"
+
+CONFIG_CHECK="~CGROUPS ~CGROUP_DEVICE
+	~CPUSETS ~CGROUP_CPUACCT
+	~CGROUP_SCHED
+
+	~NAMESPACES
+	~IPC_NS ~USER_NS ~PID_NS
+
+	~NETLINK_DIAG ~PACKET_DIAG
+	~INET_UDP_DIAG ~INET_TCP_DIAG
+	~UNIX_DIAG ~CHECKPOINT_RESTORE
+
+	~CGROUP_FREEZER
+	~UTS_NS ~NET_NS
+	~VETH ~MACVLAN
+
+	~POSIX_MQUEUE
+	~!NETPRIO_CGROUP
+
+	~!GRKERNSEC_CHROOT_MOUNT
+	~!GRKERNSEC_CHROOT_DOUBLE
+	~!GRKERNSEC_CHROOT_PIVOT
+	~!GRKERNSEC_CHROOT_CHMOD
+	~!GRKERNSEC_CHROOT_CAPS
+	~!GRKERNSEC_PROC
+	~!GRKERNSEC_SYSFS_RESTRICT
+"
+
+ERROR_DEVPTS_MULTIPLE_INSTANCES="CONFIG_DEVPTS_MULTIPLE_INSTANCES:  needed for pts inside container"
+
+ERROR_CGROUP_FREEZER="CONFIG_CGROUP_FREEZER:  needed to freeze containers"
+
+ERROR_UTS_NS="CONFIG_UTS_NS:  needed to unshare hostnames and uname info"
+ERROR_NET_NS="CONFIG_NET_NS:  needed for unshared network"
+
+ERROR_VETH="CONFIG_VETH:  needed for internal (host-to-container) networking"
+ERROR_MACVLAN="CONFIG_MACVLAN:  needed for internal (inter-container) networking"
+
+ERROR_NETLINK_DIAG="CONFIG_NETLINK_DIAG:  needed for lxc-checkpoint"
+ERROR_PACKET_DIAG="CONFIG_PACKET_DIAG:  needed for lxc-checkpoint"
+ERROR_INET_UDP_DIAG="CONFIG_INET_UDP_DIAG:  needed for lxc-checkpoint"
+ERROR_INET_TCP_DIAG="CONFIG_INET_TCP_DIAG:  needed for lxc-checkpoint"
+ERROR_UNIX_DIAG="CONFIG_UNIX_DIAG:  needed for lxc-checkpoint"
+ERROR_CHECKPOINT_RESTORE="CONFIG_CHECKPOINT_RESTORE:  needed for lxc-checkpoint"
+
+ERROR_POSIX_MQUEUE="CONFIG_POSIX_MQUEUE:  needed for lxc-execute command"
+
+ERROR_NETPRIO_CGROUP="CONFIG_NETPRIO_CGROUP:  as of kernel 3.3 and lxc 0.8.0_rc1 this causes LXCs to fail booting."
+
+ERROR_GRKERNSEC_CHROOT_MOUNT="CONFIG_GRKERNSEC_CHROOT_MOUNT:  some GRSEC features make LXC unusable see postinst notes"
+ERROR_GRKERNSEC_CHROOT_DOUBLE="CONFIG_GRKERNSEC_CHROOT_DOUBLE:  some GRSEC features make LXC unusable see postinst notes"
+ERROR_GRKERNSEC_CHROOT_PIVOT="CONFIG_GRKERNSEC_CHROOT_PIVOT:  some GRSEC features make LXC unusable see postinst notes"
+ERROR_GRKERNSEC_CHROOT_CHMOD="CONFIG_GRKERNSEC_CHROOT_CHMOD:  some GRSEC features make LXC unusable see postinst notes"
+ERROR_GRKERNSEC_CHROOT_CAPS="CONFIG_GRKERNSEC_CHROOT_CAPS:  some GRSEC features make LXC unusable see postinst notes"
+ERROR_GRKERNSEC_PROC="CONFIG_GRKERNSEC_PROC:  this GRSEC feature is incompatible with unprivileged containers"
+ERROR_GRKERNSEC_SYSFS_RESTRICT="CONFIG_GRKERNSEC_SYSFS_RESTRICT:  this GRSEC feature is incompatible with unprivileged containers"
+
+DOCS=(AUTHORS CONTRIBUTING MAINTAINERS NEWS README doc/FAQ.txt)
+
+pkg_setup() {
+	kernel_is -lt 4 7 && CONFIG_CHECK="${CONFIG_CHECK} ~DEVPTS_MULTIPLE_INSTANCES"
+	linux-info_pkg_setup
+}
+
+src_prepare() {
+	eapply "${FILESDIR}"/${PN}-3.0.0-bash-completion.patch
+	#558854
+	eapply "${FILESDIR}"/${PN}-2.0.5-omit-sysconfig.patch
+	eapply_user
+	eautoreconf
+}
+
+src_configure() {
+	append-flags -fno-strict-aliasing
+
+	# I am not sure about the --with-rootfs-path
+	# /var/lib/lxc is probably more appropriate than
+	# /usr/lib/lxc.
+	# Note by holgersson: Why is apparmor disabled?
+
+	# --enable-doc is for manpages which is why we don't link it to a "doc"
+	# USE flag. We always want man pages.
+	econf \
+		--localstatedir=/var \
+		--bindir=/usr/bin \
+		--sbindir=/usr/bin \
+		--with-config-path=/var/lib/lxc	\
+		--with-rootfs-path=/var/lib/lxc/rootfs \
+		--with-distro=gentoo \
+		--with-runtime-path=/run \
+		--disable-apparmor \
+		--disable-werror \
+		--enable-doc \
+		$(use_enable examples) \
+		$(use_enable pam) \
+		$(use_with pam pamdir $(getpam_mod_dir)) \
+		$(use_enable seccomp) \
+		$(use_enable selinux)
+}
+
+src_install() {
+	default
+
+	mv "${ED}"/usr/share/bash-completion/completions/${PN} "${ED}"/$(get_bashcompdir)/${PN}-start || die
+	bashcomp_alias ${PN}-start \
+		${PN}-{attach,cgroup,copy,console,create,destroy,device,execute,freeze,info,monitor,snapshot,stop,unfreeze,wait}
+
+	keepdir /etc/lxc /var/lib/lxc/rootfs /var/log/lxc
+	rmdir "${D}"/var/cache/lxc "${D}"/var/cache || die "rmdir failed"
+
+	find "${D}" -name '*.la' -delete
+
+	# Gentoo-specific additions!
+	newinitd "${FILESDIR}/${PN}.initd.7" ${PN}
+
+	# Remember to compare our systemd unit file with the upstream one
+	# config/init/systemd/lxc.service.in
+	systemd_newunit "${FILESDIR}"/${PN}_at.service.4 "lxc@.service"
+
+	DOC_CONTENTS="
+	For openrc, there is an init script provided with the package.
+	You _should_ only need to symlink /etc/init.d/lxc to
+	/etc/init.d/lxc.configname to start the container defined in
+	/etc/lxc/configname.conf.
+
+	Correspondingly, for systemd a service file lxc@.service is installed.
+	Enable and start lxc@configname in order to start the container defined
+	in /etc/lxc/configname.conf.
+
+	If you want checkpoint/restore functionality, please install criu
+	(sys-process/criu)."
+	DISABLE_AUTOFORMATTING=true
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+}

diff --git a/app-emulation/lxc/metadata.xml b/app-emulation/lxc/metadata.xml
index 4257b067cda..219ec365994 100644
--- a/app-emulation/lxc/metadata.xml
+++ b/app-emulation/lxc/metadata.xml
@@ -2,16 +2,7 @@
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
   <maintainer type="person">
-    <email>dev-zero@gentoo.org</email>
-  </maintainer>
-  <maintainer type="person">
-    <email>hwoarang@gentoo.org</email>
-  </maintainer>
-  <maintainer type="person">
-    <email>stasibear@gentoo.org</email>
-  </maintainer>
-  <maintainer type="person">
-    <email>dlan@gentoo.org</email>
+    <email>vdupras@gentoo.org</email>
   </maintainer>
   <maintainer type="project">
     <email>virtualization@gentoo.org</email>


             reply	other threads:[~2018-06-14  0:30 UTC|newest]

Thread overview: 105+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-06-14  0:30 Virgil Dupras [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-12-16 20:22 [gentoo-commits] repo/gentoo:master commit in: app-emulation/lxc/ Joonas Niilola
2021-12-02  3:39 Sam James
2021-12-01  7:05 Joonas Niilola
2021-12-01  7:05 Joonas Niilola
2021-10-29  7:14 Joonas Niilola
2021-10-22 15:19 Joonas Niilola
2021-10-22  8:39 Joonas Niilola
2021-10-22  8:39 Joonas Niilola
2021-08-26  6:42 Joonas Niilola
2021-08-26  6:42 Joonas Niilola
2021-07-26  8:07 Yixun Lan
2021-07-19 11:15 Joonas Niilola
2021-07-19 11:15 Joonas Niilola
2021-06-01  8:43 Joonas Niilola
2021-06-01  8:43 Joonas Niilola
2021-05-05  5:11 Joonas Niilola
2021-05-05  5:11 Joonas Niilola
2021-05-01  5:38 Joonas Niilola
2021-05-01  5:38 Joonas Niilola
2021-04-30 19:04 Mikle Kolyada
2021-04-30  7:01 Joonas Niilola
2021-01-30  6:38 Joonas Niilola
2021-01-30  6:38 Joonas Niilola
2021-01-30  6:38 Joonas Niilola
2021-01-14  3:39 Joonas Niilola
2021-01-09 12:43 Joonas Niilola
2020-11-25 12:27 Joonas Niilola
2020-11-21  6:58 Joonas Niilola
2020-11-21  6:58 Joonas Niilola
2020-10-22  7:44 Joonas Niilola
2020-10-22  7:15 Joonas Niilola
2020-09-22  6:54 Joonas Niilola
2020-09-14  5:11 Joonas Niilola
2020-09-04  5:47 Joonas Niilola
2020-09-04  5:47 Joonas Niilola
2020-08-05  6:44 Joonas Niilola
2020-08-05  6:44 Joonas Niilola
2020-08-04 16:50 Joonas Niilola
2020-08-04 16:50 Joonas Niilola
2020-08-04 16:50 Joonas Niilola
2020-06-29  6:09 Joonas Niilola
2020-06-21 17:02 Joonas Niilola
2020-06-21 17:02 Joonas Niilola
2020-05-29 13:15 Joonas Niilola
2020-05-29 13:15 Joonas Niilola
2020-05-26 10:16 Joonas Niilola
2020-05-20 13:10 Joonas Niilola
2020-05-19 15:27 Stefan Strogin
2020-05-19 13:27 Joonas Niilola
2020-05-19  7:56 Joonas Niilola
2020-05-18 13:39 Joonas Niilola
2020-05-15  5:20 Joonas Niilola
2019-10-12 18:35 Mikle Kolyada
2019-07-05 19:05 Virgil Dupras
2019-02-17 17:59 Sergei Trofimovich
2018-12-31 18:55 Virgil Dupras
2018-12-31 18:55 Virgil Dupras
2018-12-23 15:52 Virgil Dupras
2018-11-26  1:50 Virgil Dupras
2018-10-06 23:05 Thomas Deutschmann
2018-10-05 12:49 Virgil Dupras
2018-08-23 17:54 Virgil Dupras
2018-08-22 12:35 Virgil Dupras
2018-08-13  0:55 Virgil Dupras
2018-08-07  8:50 Agostino Sarubbo
2018-08-06 22:20 Thomas Deutschmann
2018-07-30 21:17 Mikle Kolyada
2018-07-29 10:35 Sergei Trofimovich
2018-07-28 13:24 Thomas Deutschmann
2018-06-26  2:18 Virgil Dupras
2018-06-26  2:12 Virgil Dupras
2018-06-16  2:21 Virgil Dupras
2018-05-14  9:46 Mike Frysinger
2018-04-26  1:36 Matthias Maier
2018-04-15 19:39 Sergei Trofimovich
2018-04-15 18:58 Thomas Deutschmann
2018-04-14 17:58 Aaron Bauman
2018-04-04 21:05 Matthias Maier
2018-02-28 22:23 Sergei Trofimovich
2018-01-30 17:01 Matthias Maier
2017-12-20 13:09 Agostino Sarubbo
2017-12-19 15:46 Thomas Deutschmann
2017-12-16  0:24 Matthias Maier
2017-12-16  0:24 Matthias Maier
2017-12-16  0:24 Matthias Maier
2017-12-16  0:24 Matthias Maier
2017-12-15 22:58 Matthias Maier
2017-12-15 22:58 Matthias Maier
2017-12-15 22:58 Matthias Maier
2017-07-26 14:56 Matt Thode
2017-06-19 17:03 Agostino Sarubbo
2017-05-29 13:46 Sergei Trofimovich
2017-02-22 10:49 Aaron Bauman
2017-02-03  8:51 Yixun Lan
2017-02-03  8:51 Yixun Lan
2016-12-08  9:39 Yixun Lan
2016-11-25 18:54 Agostino Sarubbo
2016-11-25 18:27 Agostino Sarubbo
2016-08-24 10:38 Pacho Ramos
2015-10-31 11:11 Michał Górny
2015-10-18 11:34 Markos Chandras
2015-10-05 17:11 Markos Chandras
2015-10-05 17:11 Markos Chandras
2015-09-23 12:51 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1528936066.d75ecc093bbe7fddde93c19184d314dfab9af0d1.vdupras@gentoo \
    --to=vdupras@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox